## Scalable Vector Graphics support

Scalable Vector Graphics support

## Functions

GOImage * | go_svg_new_from_data ()
GOImage * | go_svg_new_from_file ()

## Types and Values

| GOSvg

## Object Hierarchy

        GObject
        ╰── GOImage
            ╰── GOSvg

## Description

## Functions

### go_svg_new_from_data ()

    GOImage *
    go_svg_new_from_data (char const *data,
                          size_t length,
                          GError **error);

Creates a new SVG image from data in memory.

#### Parameters

data | SVG data |
length | length of `data` in bytes |
error | location to store error. | [out][optional]

#### Returns

a new GOImage or `NULL` on error.

[transfer full][nullable]

### go_svg_new_from_file ()

    GOImage *
    go_svg_new_from_file (char const *filename,
                          GError **error);

Creates a new SVG image from a file.

#### Parameters

filename | path to an SVG file |
error | location to store error. | [out][optional]

#### Returns

a new GOImage or `NULL` on error.

[transfer full][nullable]

## Types and Values

### GOSvg

    typedef struct _GOSvg GOSvg;